#ifndef FILTER_H
#define FILTER_H  

/******************************************************************************
	File:			Filter.h
	Description:		This class implements quasioptimal filter
	Class:			CFilter
	Author:			AR1795 (10/14/05)							  
	Copyright (C) 2005 AR1795                                                                   
******************************************************************************/

class CFilter {
  private:
    enum {DEFAULT_PERIOD = 128U, DEFAULT_THRESHOLD = 256U};
    unsigned short m_wPeriod;
    unsigned short m_wThreshold;
  public:
    CFilter ();
    CFilter (unsigned short a_wPeriod, unsigned short a_wLevel);
    unsigned short Calculate(const unsigned char* a_pbyImage, unsigned short a_wSize);
};

#endif

